Skip to content

upsertWarehouseTransferLine

WRITE

Upsert warehouse transfer line.

POST /api/v1/inventory/upsertWarehouseTransferLine
curl -X POST '<your-host>/api/v1/inventory/upsertWarehouseTransferLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "line": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "fromLocationId": "string",
  "fromStorageUnitId": "string",
  "id": "string",
  "itemId": "string",
  "notes": "string",
  "quantity": 0,
  "receivedQuantity": 0,
  "shippedQuantity": 0,
  "toLocationId": "string",
  "toStorageUnitId": "string",
  "transferId": "string",
  "unitOfMeasureCode": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "line": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "createdAt": {
              "type": "string"
            },
            "customFields": {},
            "fromLocationId": {
              "type": "string"
            },
            "fromStorageUnitId": {
              "type": [
                "string",
                "null"
              ]
            },
            "id": {
              "type": "string"
            },
            "itemId": {
              "type": "string"
            },
            "notes": {
              "type": [
                "string",
                "null"
              ]
            },
            "quantity": {
              "type": "number"
            },
            "receivedQuantity": {
              "type": "number"
            },
            "shippedQuantity": {
              "type": "number"
            },
            "toLocationId": {
              "type": "string"
            },
            "toStorageUnitId": {
              "type": [
                "string",
                "null"
              ]
            },
            "transferId": {
              "type": "string"
            },
            "unitOfMeasureCode": {
              "type": [
                "string",
                "null"
              ]
            },
            "updatedAt": {
              "type": [
                "string",
                "null"
              ]
            }
          },
          "required": [
            "fromLocationId",
            "itemId",
            "toLocationId",
            "transferId"
          ]
        },
        {
          "type": "object",
          "properties": {
            "createdAt": {
              "type": "string"
            },
            "customFields": {},
            "fromLocationId": {
              "type": "string"
            },
            "fromStorageUnitId": {
              "type": [
                "string",
                "null"
              ]
            },
            "id": {
              "type": "string"
            },
            "itemId": {
              "type": "string"
            },
            "notes": {
              "type": [
                "string",
                "null"
              ]
            },
            "quantity": {
              "type": "number"
            },
            "receivedQuantity": {
              "type": "number"
            },
            "shippedQuantity": {
              "type": "number"
            },
            "toLocationId": {
              "type": "string"
            },
            "toStorageUnitId": {
              "type": [
                "string",
                "null"
              ]
            },
            "transferId": {
              "type": "string"
            },
            "unitOfMeasureCode": {
              "type": [
                "string",
                "null"
              ]
            },
            "updatedAt": {
              "type": [
                "string",
                "null"
              ]
            }
          },
          "required": [
            "id"
          ]
        }
      ]
    }
  },
  "required": [
    "line"
  ]
}